## kpublictransport 25.12.0+p24.04+vstable+git20260101.0152

=== debian/changelog ===
kpublictransport (25.12.0+p24.04+vstable+git20260101.0152-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:52:44 +0000
