## kpublictransport 25.12.0+p24.04+vstable+git20260103.0247

=== debian/changelog ===
kpublictransport (25.12.0+p24.04+vstable+git20260103.0247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:47:06 +0000
