=== debian/control ===
Source: kpublictransport
Priority: optional
Section: libs
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Matthias Geiger <matthias.geiger1024@tutanota.de>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16),
               extra-cmake-modules (>= 6.0~),
               kirigami-addons-dev (>= 1.6.0~),
               libkf6i18n-dev (>= 6.11~),
               libkf6networkmanagerqt-dev,
               libprotobuf-dev,
               pkg-kde-tools,
               pkgconf,
               qml6-module-org-kde-kirigami,
               qt6-base-dev (>= 6.5~),
               qt6-declarative-dev (>= 6.5~),
               qt6-declarative-private-dev,
               qt6-location-dev (>= 6.5~),
               qt6-positioning-dev,
               tzdata <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/libraries/kpublictransport
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport

Package: libkpublictransport1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport
 A library providing a public transport API.
 .
 This package contains the main data.

Package: kpublictransport-data
Architecture: all
Multi-Arch: foreign
Section: kde
Depends: ${misc:Depends},
Description: Library to assist with accessing public transport (data files)
 The data files for a public transport API
 .
 This package contains the data files.

Package: libkpublictransport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkpublictransport1 (= ${binary:Version}),
         libkpublictransportonboard1 (= ${binary:Version}),
         qml6-module-org-kde-kpublictransport (= ${binary:Version}),
         ${misc:Depends},
Description: Library to assist with accessing public transport (development files)
 A library providing a public transport API.
 .
 This package contains the development files and headers.

Package: libkpublictransportonboard1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport onboard system
 A library providing a public transport API.
 .
 This package contains the onboard library.

Package: qml6-module-org-kde-kpublictransport
Architecture: any
Multi-Arch: same
Section: kde
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport (qml plugin)
 A QtQuick plugin providing a public transport API
 .
 This package contains the runtime qml module.
