## kpublictransport 25.12.1+p24.04+vstable+git20260131.0302

=== debian/changelog ===
kpublictransport (25.12.1+p24.04+vstable+git20260131.0302-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:02:29 +0000

kpublictransport (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:36:25 +1000
