=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Matthias Geiger <matthias.geiger1024@tutanota.de>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16),
                extra-cmake-modules (>= 6.0~),
                kirigami-addons-dev (>= 1.6.0~),
                libkf6i18n-dev (>= 6.11~),
