## kpublictransport 25.12.2+p24.04+vunstable+git20260206.0812

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KPublicTransport VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -38,10 +38,10 @@
     SOVERSION 1
 )
 
-find_package(Qt6 6.5 REQUIRED COMPONENTS Quick Location)
+find_package(Qt6 6.8 REQUIRED COMPONENTS Quick Location)
 
 if (BUILD_TESTING)
-    find_package(Qt6 6.5 REQUIRED COMPONENTS Test Widgets)
+    find_package(Qt6 6.8 REQUIRED COMPONENTS Test Widgets)
 endif()
 
 find_package(ZLIB REQUIRED)
