=== debian/changelog ===
kpublictransport (25.12.2+p24.04+vunstable+git20260206.0812-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 08:12:22 +0000

kpublictransport (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:37:33 +0000
