## kpublictransport 25.12.2+p24.04+vunstable+git20260209.0639

=== debian/changelog ===
kpublictransport (25.12.2+p24.04+vunstable+git20260209.0639-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 06:39:03 +0000
